## org.apache.http.client
Interface UserTokenHandler

All Known Implementing Classes:
  DefaultUserTokenHandler

    public interface UserTokenHandler

A handler for determining if the given execution context is user specific or not. The token object returned by this handler is expected to uniquely identify the current user if the context is user specific or to be `null` if the context does not contain any resources or details specific to the current user.

The user token will be used to ensure that user specific resources will not be shared with or reused by other users.

Since:
  4.0

Method Summary
`Object` `getUserToken(HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

Method Detail

### getUserToken

    Object getUserToken(HttpContext context)

  The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

  Parameters:
    `context` - the execution context
  Returns:
    user token that uniquely identifies the user or `null</null> if the context is not user specific.`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.